﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Globalization;

namespace howto_parse_currency
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Parse the entered value.
        private void btnParse_Click(object sender, EventArgs e)
        {
            // Default parsing behavior.
            try
            {
                decimal value = decimal.Parse(txtValue.Text);
                txtDefault.Text = value.ToString("C");
            }
            catch (Exception ex)
            {
                txtDefault.Text = ex.Message;
            }

            // Parse with Any format.
            try
            {
                decimal value = decimal.Parse(txtValue.Text, NumberStyles.Any);
                txtAny.Text = value.ToString("C");
            }
            catch (Exception ex)
            {
                txtAny.Text = ex.Message;
            }
        }
    }
}
